umbrello: UMLOperationDialog Class Reference

umbrello 2.32.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLOperationDialog Class Reference

`#include <umloperationdialog.h>`

Inheritance diagram for UMLOperationDialog:

## Public Slots
void | slotParmRightButtonPressed (const QPoint &p)
void | slotParmDoubleClick (QListWidgetItem *item)
void | slotMenuSelection (QAction *action)
void | slotNewParameter ()
void | slotDeleteParameter ()
void | slotParameterProperties ()
void | slotParameterUp ()
void | slotParameterDown ()
void | slotParamsBoxClicked (QListWidgetItem *parameterItem)
void | slotStereoTextChanged (const QString &)
void | slotNameChanged (const QString &)

## Public Member Functions
| UMLOperationDialog (QWidget *parent, UMLOperation *pOperation)
| ~UMLOperationDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()

## Protected Member Functions
void | setupDialog ()
bool | apply ()
void | insertTypesSorted (const QString &type=QString())
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Protected Attributes
UMLOperation * | m_operation
| The operation to represent. More...
UMLDoc * | m_doc
| The UMLDocument where all objects live. More...
DialogsPopupMenu * | m_menu
| Menu used in parameter list box. More...
QGridLayout * | m_pGenLayout
QGroupBox * | m_pParmsGB
QGroupBox * | m_pGenGB
QListWidget * | m_pParmsLW
QGroupBox * | m_pScopeGB
QRadioButton * | m_pPublicRB
QRadioButton * | m_pPrivateRB
QRadioButton * | m_pProtectedRB
QRadioButton * | m_pImplementationRB
QLabel * | m_pNameL
QLabel * | m_pTagL [N_STEREOATTRS]
UMLDatatypeWidget * | m_datatypeWidget
UMLStereotypeWidget * | m_stereotypeWidget
KLineEdit * | m_pNameLE
KLineEdit * | m_pTagLE [N_STEREOATTRS]
QCheckBox * | m_pAbstractCB
QCheckBox * | m_pStaticCB
QCheckBox * | m_pQueryCB
QCheckBox * | m_virtualCB
QCheckBox * | m_inlineCB
QCheckBox * | m_pOverrideCB
QPushButton * | m_pDeleteButton
QPushButton * | m_pPropertiesButton
QToolButton * | m_pUpButton
QToolButton * | m_pDownButton
DocumentationWidget * | m_docWidget
VisibilityEnumWidget * | m_visibilityEnumWidget

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()

## Detailed Description

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLOperationDialog()

UMLOperationDialog::UMLOperationDialog | ( | QWidget * | parent,
|  | UMLOperation * | pOperation
| ) |  |

Constructor.

## ◆ ~UMLOperationDialog()

UMLOperationDialog::~UMLOperationDialog | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ apply()

bool UMLOperationDialog::apply | ( |  | ) |
| protectedvirtual

Checks if changes are valid and applies them if they are, else returns false.

Reimplemented from SinglePageDialogBase.

## ◆ insertTypesSorted()

void UMLOperationDialog::insertTypesSorted | ( | const QString & | type = `QString()` | ) |
| protected

## ◆ setupDialog()

void UMLOperationDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog.

## ◆ slotDeleteParameter

void UMLOperationDialog::slotDeleteParameter | ( |  | ) |
| slot

## ◆ slotMenuSelection

void UMLOperationDialog::slotMenuSelection | ( | QAction * | action | ) |
| slot

## ◆ slotNameChanged

void UMLOperationDialog::slotNameChanged | ( | const QString & | _text | ) |
| slot

## ◆ slotNewParameter

void UMLOperationDialog::slotNewParameter | ( |  | ) |
| slot

## ◆ slotParameterDown

void UMLOperationDialog::slotParameterDown | ( |  | ) |
| slot

## ◆ slotParameterProperties

void UMLOperationDialog::slotParameterProperties | ( |  | ) |
| slot

## ◆ slotParameterUp

void UMLOperationDialog::slotParameterUp | ( |  | ) |
| slot

## ◆ slotParamsBoxClicked

void UMLOperationDialog::slotParamsBoxClicked | ( | QListWidgetItem * | parameterItem | ) |
| slot

Enables or disables buttons.

## ◆ slotParmDoubleClick

void UMLOperationDialog::slotParmDoubleClick | ( | QListWidgetItem * | item | ) |
| slot

## ◆ slotParmRightButtonPressed

void UMLOperationDialog::slotParmRightButtonPressed | ( | const QPoint & | p | ) |
| slot

## ◆ slotStereoTextChanged

void UMLOperationDialog::slotStereoTextChanged | ( | const QString & | stereoText | ) |
| slot

## Member Data Documentation

## ◆ m_datatypeWidget

UMLDatatypeWidget* UMLOperationDialog::m_datatypeWidget
| protected

## ◆ m_doc

UMLDoc* UMLOperationDialog::m_doc
| protected

The UMLDocument where all objects live.

## ◆ m_docWidget

DocumentationWidget* UMLOperationDialog::m_docWidget
| protected

## ◆ m_inlineCB

QCheckBox* UMLOperationDialog::m_inlineCB
| protected

## ◆ m_menu

DialogsPopupMenu* UMLOperationDialog::m_menu
| protected

Menu used in parameter list box.

## ◆ m_operation

UMLOperation* UMLOperationDialog::m_operation
| protected

The operation to represent.

## ◆ m_pAbstractCB

QCheckBox* UMLOperationDialog::m_pAbstractCB
| protected

## ◆ m_pDeleteButton

QPushButton* UMLOperationDialog::m_pDeleteButton
| protected

## ◆ m_pDownButton

QToolButton* UMLOperationDialog::m_pDownButton
| protected

## ◆ m_pGenGB

QGroupBox* UMLOperationDialog::m_pGenGB
| protected

## ◆ m_pGenLayout

QGridLayout* UMLOperationDialog::m_pGenLayout
| protected

## ◆ m_pImplementationRB

QRadioButton* UMLOperationDialog::m_pImplementationRB
| protected

## ◆ m_pNameL

QLabel* UMLOperationDialog::m_pNameL
| protected

## ◆ m_pNameLE

KLineEdit* UMLOperationDialog::m_pNameLE
| protected

## ◆ m_pOverrideCB

QCheckBox* UMLOperationDialog::m_pOverrideCB
| protected

## ◆ m_pParmsGB

QGroupBox* UMLOperationDialog::m_pParmsGB
| protected

## ◆ m_pParmsLW

QListWidget* UMLOperationDialog::m_pParmsLW
| protected

## ◆ m_pPrivateRB

QRadioButton* UMLOperationDialog::m_pPrivateRB
| protected

## ◆ m_pPropertiesButton

QPushButton* UMLOperationDialog::m_pPropertiesButton
| protected

## ◆ m_pProtectedRB

QRadioButton* UMLOperationDialog::m_pProtectedRB
| protected

## ◆ m_pPublicRB

QRadioButton* UMLOperationDialog::m_pPublicRB
| protected

## ◆ m_pQueryCB

QCheckBox* UMLOperationDialog::m_pQueryCB
| protected

## ◆ m_pScopeGB

QGroupBox* UMLOperationDialog::m_pScopeGB
| protected

## ◆ m_pStaticCB

QCheckBox* UMLOperationDialog::m_pStaticCB
| protected

## ◆ m_pTagL

QLabel* UMLOperationDialog::m_pTagL[N_STEREOATTRS]
| protected

## ◆ m_pTagLE

KLineEdit* UMLOperationDialog::m_pTagLE[N_STEREOATTRS]
| protected

## ◆ m_pUpButton

QToolButton* UMLOperationDialog::m_pUpButton
| protected

## ◆ m_stereotypeWidget

UMLStereotypeWidget* UMLOperationDialog::m_stereotypeWidget
| protected

## ◆ m_virtualCB

QCheckBox* UMLOperationDialog::m_virtualCB
| protected

## ◆ m_visibilityEnumWidget

VisibilityEnumWidget* UMLOperationDialog::m_visibilityEnumWidget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umloperationdialog.h
- umbrello/dialogs/umloperationdialog.cpp